jQuery(function ($) {
  $(function () {
    /*
    スムーススクロール
    */
    $('a[href^="#"]').click(function () {
      var speed = 500;
      /* 固定ヘッダの高さ */
      if (isSmartPhone()) {
        var fixed_header = 65;
      } else {
        var fixed_header = 100;
      }
      var href = $(this).attr("href");
      var target = $(href == "#" || href == "#top" || href == "" ? 'html' : href);
      var position = target.offset().top - fixed_header;
      $("html, body").animate({
        scrollTop: position
      }, speed, "swing");
      return false;
    });
    /*
    スクロールアニメーション：aos
    https://michalsnik.github.io/aos/
    https://github.com/michalsnik/aos#1-initialize-aos
    */
    AOS.init({
      disable: false, // accepts following values: 'phone', 'tablet', 'mobile', boolean, expression or function
      offset: 120, // offset (in px) from the original trigger point
      delay: 0, // values from 0 to 3000, with step 50ms
      duration: 1200, // values from 0 to 3000, with step 50ms
      easing: 'ease', // default easing for AOS animations
      once: true, // whether animation should happen only once - while scrolling down
      mirror: false, // whether elements should animate out while scrolling past them
      anchorPlacement: 'top-center', // defines which position of the element regarding to window should trigger the animation
      disable: 'phone'
    });
  });
});

function isSmartPhone() {
  if (window.matchMedia && window.matchMedia('(max-device-width: 640px)').matches) {
    return true;
  } else {
    return false;
  }
}
