<?php

/**
 * ページネーション:
 * $wp_query：「WP_Query」オブジェクトが必要
 */
if (is_singular()) {
  // 個別ページでページ番号を取得
  $current_num_page = max(1, get_query_var('page'));
} else {
  // 一覧ページでページ番号を取得
  $current_num_page = max(1, get_query_var('paged'));
}
$max_num_pages = $wp_query->max_num_pages;
if (wp_is_mobile()) {
  $pagination_format = [
    'current' => $current_num_page,
    'total' => $max_num_pages,
    'type'  => 'array',
    'prev_text' => '前へ',
    'next_text' => '次へ',
    'end_size' => 1,
    'mid_size' => 1,
    'prev_next' => false,
  ];
} else {
  $pagination_format = [
    'current' => $current_num_page,
    'total' => $max_num_pages,
    'type'  => 'array',
    'prev_text' => '前へ',
    'next_text' => '次へ',
    'end_size' => 1,
    'mid_size' => 2,
    'prev_next' => true,
  ];
}
$pagination = paginate_links($pagination_format);
?>

<?php if (is_array($pagination)) : ?>

  <div class="Pagination">
    <ul class="Pagination_list">
      <?php foreach ($pagination as $pagination_link) : ?>
        <li class="Pagination_item">
          <?php echo wp_kses_post($pagination_link); ?>
        </li>
      <?php endforeach;  ?>
    </ul>
    <div class="Pagination_total">
      <?php echo esc_html($current_num_page); ?> /
      <?php echo esc_html($max_num_pages); ?>
    </div>
  </div>

<?php endif;
