<?php

/**
 * 投稿一覧表示用テンプレート
 */

?>

<div class="Box">
  <div class="Box_header">
    <div class="Box_inner">
      <div class="Box_mainTitle">
        <div class="Box_mainTitleJp">ブログ</div>
        <div class="Box_mainTitleEn">blog</div>
      </div>
    </div>
  </div>


  <div class="Box_body">
    <div class="Box_inner inner">
      <?php /* サブループ */ ?>
      <?php if (!is_paged()) : ?>
        <?php
        // 先頭固定表示取得条件
        $stickyArray = get_option('sticky_posts');
        if ($stickyArray) :
          $args = [
            'post_type' => 'post',
            'posts_per_page' => -1,
            'post__in' => $stickyArray,
          ];
          $the_query = new WP_Query($args);
        ?>
          <?php if ($the_query->have_posts()) : ?>
            <div class="Box_sticky">
              <div class="Box_stickyTitle">おすすめブログ</div>
              <div class="Box_cardList">
                <?php while ($the_query->have_posts()) : $the_query->the_post(); ?>
                  <?php require __DIR__ . '/../parts/_Card.php'; ?>
                <?php endwhile; ?>
              </div>
            </div>
          <?php endif; ?>
          <?php wp_reset_postdata(); ?>
        <?php endif; ?>
      <?php endif; ?>

      <?php /* メインループ */ ?>
      <?php if (have_posts()) : ?>
        <div class="Box_cardList">
          <?php while (have_posts()) : the_post(); ?>
            <?php require __DIR__ . '/../parts/_Card.php'; ?>
          <?php endwhile; ?>
        </div>
      <?php else : ?>
        <?php require __DIR__ . '/../parts/_Error.php'; ?>
      <?php endif; ?>
    </div>
  </div>

  <div class="Box_footer">
    <div class="Box_inner">
      <?php require __DIR__ . '/../parts/_Pagination.php'; ?>
    </div>
  </div>
</div>
